<template>
  <div class="form-container flex flex-row flex-no-wrap">
    <form @submit.prevent="onSubmit" class="wrapper">
      <label>
        <span>Name</span>
        <input v-model="newUser.name" type="text" class="w-full" required />
      </label>
      <label>
        <span>Email</span>
        <input v-model="newUser.email" type="email" class="w-full" required />
      </label>
      <label>
        <span>Telephone</span>
        <input
          v-model.number="newUser.telephone"
          type="tel"
          class="w-full"
          required
        />
      </label>
      <label>
        <span>Office</span>
        <select v-model="newUser.office" class="w-full">
          <option>BH</option>
          <option>SP</option>
        </select>
      </label>
      <label>
        <span>University</span>
        <input
          v-model="newUser.university"
          type="text"
          class="w-full"
          required
        />
      </label>
      <label>
        <span>Admission date</span>
        <input v-model="newUser.date" type="date" class="w-full" required />
      </label>
      <button class="btn justify-self-start" type="submit">Register</button>
    </form>
  </div>
</template>

<script>
export default {
  name: "UserForm",
  data() {
    return {
      newUser: {
        name: "",
        email: "",
        telephone: "",
        office: "",
        university: "",
        date: "",
      },
    };
  },
  methods: {
    onSubmit(e) {
      if (confirm("Confirma cadastro de estagiário?")) {
        this.$store.dispatch("users/addUser", this.newUser);
      } else {
        e.preventDefault();
        return;
      }
    },
  },
};
</script>

<style lang="scss" scoped>
[type="text"],
[type="password"],
[type="email"],
[type="date"],
[type="tel"],
[multiple],
textarea,
select {
  @apply rounded-md border-gray-100 border shadow-sm bg-gray-100 focus:border-purple-800 focus:ring focus:ring-purple-800 focus:ring-opacity-50;
}
.form-container {
  @apply w-full p-6 bg-white sm:bg-white rounded-lg overflow-hidden sm:shadow-lg my-5;
}
.btn {
  @apply text-purple-700 bg-transparent border border-solid border-purple-700 hover:bg-purple-700 hover:text-white font-bold uppercase text-sm px-6 py-3 rounded outline-none focus:outline-none mr-1 mb-1 ease-linear transition-all duration-150;
}
.wrapper {
  @apply flex-col w-full grid grid-cols-2 gap-4;
}
label {
  @apply inline-block;
}
</style>